Bug 1399150 - python-httplib2: Missing "python2-<module>" provides
Summary: python-httplib2: Missing "python2-<module>" provides
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-httplib2
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-28 12:34 UTC by Charalampos Stratakis
Modified: 2017-09-30 06:22 UTC (History)
2 users (show)

Fixed In Version: python-httplib2-0.10.3-1.fc26 python-httplib2-0.10.3-1.fc25 python-httplib2-0.10.3-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-20 10:22:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Charalampos Stratakis 2016-11-28 12:34:33 UTC
This package does not provide "python2-<module>".

As per Python packaging guidelines [0], when there are two versions of
module "foo", the two packages must provide:
"python3-foo" for Python 3
"python2-foo" for Python 2
"python-foo" for the system default Python (currently 2, but this might
change in the future)

Please use the %python_provide macro [1] to specify the correct provides.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with this
issue, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1]
https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro

Comment 1 Fedora End Of Life 2017-02-28 10:40:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora Update System 2017-09-11 01:39:26 UTC
python-httplib2-0.9.2-7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1cd6c5eac0

Comment 3 Fedora Update System 2017-09-11 01:39:35 UTC
python-httplib2-0.9.2-7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8bb3694d1

Comment 4 Fedora Update System 2017-09-11 03:54:33 UTC
python-httplib2-0.10.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c04d9f30bc

Comment 5 Fedora Update System 2017-09-11 21:55:23 UTC
google-api-python-client-1.6.3-2.fc27, python-httplib2-0.10.3-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8bb3694d1

Comment 6 Fedora Update System 2017-09-12 00:25:27 UTC
google-api-python-client-1.6.3-2.fc26, python-httplib2-0.10.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-09-12 02:20:29 UTC
python-httplib2-0.10.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c04d9f30bc

Comment 8 Fedora Update System 2017-09-20 10:22:27 UTC
python-httplib2-0.10.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-09-30 06:22:21 UTC
google-api-python-client-1.6.3-2.fc27, python-httplib2-0.10.3-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.